<?php
include('cfg.php');
$news=mysql_query("SELECT *
FROM `news`
ORDER BY `id` DESC LIMIT 10");
echo $style;

if($user[login] != "")
{

mysql_query("UPDATE users SET news='0' WHERE id='$id'");
include('header.php');
echo '<div class="money">';
if($_GET[action] == "")
{
$per_page=10;
// получаем номер страницы
if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
// вычисляем первый оператор для LIMIT
$start=abs($page*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
$q="SELECT *
FROM `news`
ORDER BY `id` DESC LIMIT $start,$per_page";
$news=mysql_query($q);
if(mysql_num_rows($news) > 0)
while($n=mysql_fetch_array($news))
{
$n_login = mysql_fetch_array(mysql_query("SELECT `id` FROM `users` WHERE `login`='$n[login]'"));
echo '
<b>'.$n[theme].'</b><br />
'.$n[when].' </div><div class="money">'.$n[what].'
<br />Добавил: <font color="red"><a href="./profile.php?a=view&amp;uid='.$n_login['id'].'">'.$n[login].'</a></font>';
$coments=mysql_num_rows(mysql_query("SELECT * FROM news_comens WHERE news='$n[id]' AND locked='0'"));
echo '</div><i><a class="razd" href="news.php?action=wiew_com&nid='.$n[id].'">Коментарии ('.$coments.')</a></i></div><div class="money">';
}

// дальше выводим ссылки на страницы:
$q="SELECT count(*)
FROM `news`
ORDER BY `id` DESC";
$res=mysql_query($q);
$row=mysql_fetch_row($res);
$total_rows=$row[0];

$num_pages=ceil($total_rows/$per_page);

for($i=1;$i<=$num_pages;$i++) {
  if ($i-1 == $page) {
    echo '['.$i."] ";
  } else {
    echo '<a href="'.$_SERVER['PHP_SELF'].'?page='.$i.'">['.$i.']</a>';
  }
}
echo '</div>';
}
elseif($_GET[action] == "wiew_com")
{$n=mysql_fetch_array(mysql_query("SELECT * FROM news WHERE id='$_GET[nid]'"));
$coments=mysql_query("SELECT * FROM news_comens WHERE news='$_GET[nid]'");
echo '
<b>'.$n[theme].'</b><br />
'.$n[when].' - '.$n[what].'
<br />by <font color="red"><b>'.$n[login].'</b></font></b></div></div><div class="money">';
if(mysql_num_rows($coments) > 0)
{	while($c=mysql_fetch_array($coments))
	{
	   if($c[locked] == 0)
	   {
	   $check=mysql_fetch_array(mysql_query("SELECT rank FROM users WHERE login='$c[login]'"));
	   if($check[0] == "Админ")
	   {	   echo '<b>'.$c[login].'</b> -  <font color="#FF0000"><b>'.$c[comment].'</b></font>';
	   }
	   else
	   {
	   echo '<b>'.$c[login].'</b> -  '.$c[comment].'';
       }
       if($user[rank] == "Админ" || $user[rank] == "Модер")
       {       echo '<br /><a href="news.php?action=add_c&cid='.$c[id].'&make=delete"><font color="red">Удалить коментарий</font></a>';
       }
       echo '</div><div class="money">';
	   }
	}
}
else
{echo '<i>Коментариев нету</i>';
}
echo '
<form action="news.php?action=add_c" method="post">
<u>Добавить коментарий</u><br />
<textarea name="what" rows=3 cols=20 wrap="on"></textarea> <br />
<input name="news" type="hidden" value="'.$n[id].'">
<input type="submit" value="Добавить">
</form>
';
echo '</div><a class="razd" href="news.php">Назад</a>';
}
elseif($_GET[action] == "add_c")
{	if($_GET[make] == "delete")
	{    if($user[rank] == "Админ" || $user[rank] == "Модер")
    {    mysql_query("UPDATE news_comens SET locked='1' WHERE id='$_GET[cid]'");
    echo 'Коментарий удалён';
    }
    echo '<br /><a href="news.php">Новости</a>';
	}
	else
	{
	if(($user['time_reg']+3600) < $time)
	{
	$what=htmlspecialchars($_POST[what]);
    $news=$_POST[news];
    mysql_query("
    INSERT INTO `news_comens` (`id`, `login`, `news`, `comment`, `locked`, `when`) VALUES (NULL, '$user[login]', '$news', '$what', '0', '$dt')
    ");
    echo 'Коментарий добавлен!</div>';
    }
    else
    {    echo 'Вам пока запрещено добавлять комментарии';
    }
    echo '<a class="razd" href="news.php?action=wiew_com&nid='.$_POST[news].'">Назад</a>';
	}

}

	include('footer.php');
}
else
{
while($n=mysql_fetch_array($news))
{
echo '<div class="menu">Новости</div>';
echo '
<b>'.$n[theme].'</b></div><div class="money">
'.$n[when].' - '.$n[what].'
<br />by <font color="red"><b>'.$n[login].'</b></font><hr>';
}
echo '<a href="index.php">Назад</a>';
}
?>